Bug 103758 - Please update libtool.m4.in for GNU/kFreeBSD
Summary: Please update libtool.m4.in for GNU/kFreeBSD
Status: RESOLVED FIXED
Alias: None
Product: configure
Classification: Developer tools
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Other
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stephan Kulow
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-12 23:48 UTC by Aurelien Jarno
Modified: 2006-04-27 11:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
libtool.m4 from libtool 1.5.14 (209.87 KB, patch)
2005-04-12 23:50 UTC, Aurelien Jarno
Details
Patch to the current CVS to support kfreebsd (2.77 KB, patch)
2005-04-13 08:27 UTC, Aurelien Jarno
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aurelien Jarno 2005-04-12 23:48:37 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Other

Debian is currently porting the unstable distribution to GNU/kFreeBSD, ie a FreeBSD kernel with a GNU c library.

KDE is working well on this OS, except that the libtool.m4.in kde-common/admin is too old, and so the libraries are only built as static libraries.

A libtool.m4 from libtool 1.5.2 or later is required. To verify it has support for GNU/kFreeBSD, just grep kfreebsd in this file.

Would it be possible to upload kde-common/admin as soon as possible, so that it is possible to have an easy method to support GNU/kFreeBSD. It would also be nice to update it for all modules in the CVS, but it is not so urgent.

Thanks for your cooperation.
Comment 1 Aurelien Jarno 2005-04-12 23:50:15 UTC
Created attachment 10597 [details]
libtool.m4 from libtool 1.5.14

Here is a libtool.m4 from libtool 1.5.14, but I understand you may prefer to
download it directly from the libtool website
(http://www.gnu.org/software/libtool/libtool.html)
Comment 2 Thiago Macieira 2005-04-13 02:59:23 UTC
Unfortunately, our libtool is a modified version.

Can you instead post a patch for the relevant changes against our current HEAD libtool.m4.in?
Comment 3 Aurelien Jarno 2005-04-13 08:27:55 UTC
Created attachment 10601 [details]
Patch to the current CVS to support kfreebsd 

Please find a patch as you requested to the current CVS version of kde-common.
It's simply the patch that was applied to the libtool CVS rediffed for the
current KDE CVS. Note that it also include a patch for ltmain.sh, as it seems
it is also necessary.

I have just successfully built a KDE package with this patch, so it is working.
Comment 4 Aurelien Jarno 2005-06-05 13:46:22 UTC
Hi,

Is there a chance to see this patch in the CVS soon? It would ease a lot the GNU/kFreeBSD port.

Thanks,
Aurelien
Comment 5 Thiago Macieira 2005-08-29 10:40:29 UTC
The patch makes sense to me.
Comment 6 Aurelien Jarno 2005-11-07 03:14:51 UTC
Hi,

It has been a long time since the last message was posted. Is there still a chance to see this patch merged?

Thanks,
Aurelien
Comment 7 Stephan Kulow 2005-11-07 09:36:06 UTC
SVN commit 478582 by coolo:

support kfreebsd
BUG: 103758


 M  +5 -5      libtool.m4.in  
 M  +0 -12     ltmain.sh  


--- branches/KDE/3.5/kde-common/admin/libtool.m4.in #478581:478582
@@ -1273,7 +1273,7 @@
   dynamic_linker=no
   ;;
 
-freebsd*-gnu*)
+kfreebsd*-gnu*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -2119,7 +2119,7 @@
   lt_cv_deplibs_check_method=pass_all
   ;;
 
-freebsd*)
+freebsd* | kfreebsd*-gnu)
   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
     case $host_cpu in
     i*86 )
@@ -2953,7 +2953,7 @@
   freebsd-elf*)
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     ;;
-  freebsd*)
+  freebsd* | kfreebsd*-gnu)
     # FreeBSD 3 and later use GNU C++ and GNU ld with standard ELF
     # conventions
     _LT_AC_TAGVAR(ld_shlibs, $1)=yes
@@ -4599,7 +4599,7 @@
 	    ;;
 	esac
 	;;
-      freebsd*)
+      freebsd* | kfreebsd*-gnu)
 	# FreeBSD uses GNU C++
 	;;
       hpux9* | hpux10* | hpux11*)
@@ -5409,7 +5409,7 @@
       ;;
 
     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
-    freebsd*)
+    freebsd* | kfreebsd*-gnu)
       _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared -o $lib $compiler_flags $libobjs $deplibs'
       _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='-R$libdir'
       _LT_AC_TAGVAR(hardcode_direct, $1)=yes
--- branches/KDE/3.5/kde-common/admin/ltmain.sh #478581:478582
@@ -1276,9 +1276,6 @@
 	    # These systems don't actually have a C or math library (as such)
 	    continue
 	    ;;
-	  *-*-freebsd*-gnu*)
-	    # prevent being parsed by the freebsd regexp below
-	    ;;
 	  *-*-mingw* | *-*-os2*)
 	    # These systems don't actually have a C library (as such)
 	    test "X$arg" = "X-lc" && continue
@@ -1294,9 +1291,6 @@
 	  esac
 	elif test "X$arg" = "X-lc_r"; then
 	 case $host in
-	 *-*-freebsd*-gnu*)
-	   # prevent being parsed by the freebsd regexp below
-	   ;;
 	 *-*-openbsd*)
 	   # Do not include libc_r directly, use -pthread flag.
 	   continue
@@ -3181,12 +3175,6 @@
 	  *-*-netbsd*)
 	    # Don't link with libc until the a.out ld.so is fixed.
 	    ;;
-	  *-*-freebsd*-gnu*)
-	    # Prevent $arg from being parsed by the freebsd regexp below.
-	    if test "$build_libtool_need_lc" = "yes"; then
-	      deplibs="$deplibs -lc"
-	    fi
-	    ;;
 	  *-*-openbsd* | *-*-freebsd*)
 	    # Do not include libc due to us having libc/libc_r.
 	    test "X$arg" = "X-lc" && continue